: ScriptZIP - Scripting ZIP compression utility
: (c) m&g Software, by Arminio.Grgic@USA.Net
: ---------------------------------------------
: BAT file sample for starting 'ZIP TEST BAT.SIP'
: script from BATch file
:

@echo off

echo Working ...

: we can start script in a two way - using START command
: (if .SIP extension is registerred to ScriptZIP) which
: is simmilar to doubleclick. In this case, and if we want
: to have autostart/autoclose, script must have
: autostart/autoclose option set.

: for WIN9x use:
rem start /w "ZIP TEST BAT.SIP"

: for WINNT don't use START:
rem "ZIP TEST BAT.SIP"

: ... or using command line - recommended way but usually if
: .SIP extension is not registered or if we want to
: autostart/autoclose scripts that haven't got autostart/autoclose
: options set.
: In this case, we use /NOREG command line switch to skip
: .SIP registration check and prevent prompter. We can also use
: /AUTOSTART, /AUTOSTARTSILENT and /AUTOCLOSE switches to run
: script immediately if it does not contain autostart/autoclose
: options set.

: for WIN9x use:
start /w ..\scriptzip.exe "zip test bat.sip" /noreg /autostart /autoclose

: for WINNT use this:
rem ..\scriptzip.exe "zip test bat.sip" /noreg /autostart /autoclose

: here is errorchecking ... If you use NT, you can do this in a
: more convinient way because you can use %errorlevel% environment
: variable to do 'goto' ... well, let's do it in a WIN9x style:

: if there is an error, go to appropriate part of code ...
: (we need to check from larger values downto lower)
if errorlevel == 255 goto Nothing_done
if errorlevel == 254 goto Wrong_UNZDLL_version
if errorlevel == 253 goto No_UNZDLL
if errorlevel == 252 goto Wrong_ZIPDLL_version
if errorlevel == 251 goto No_ZIPDLL
if errorlevel == 100 goto User_abort
if errorlevel == 10 goto Error_during_test
if errorlevel == 5 goto Error_during_compression
if errorlevel == 4 goto Cant_delete_existing_ZIP
if errorlevel == 3 goto Cant_backup_existing_ZIP
if errorlevel == 2 goto Failed_when_openning_existing_ZIP
if errorlevel == 1 goto No_files_to_compress

: ... othervise, display OK message and go to KRAJ
Echo - Compression finished OK ! -
echo   Errorlevel 0
goto kraj

:Nothing_done
echo - Nothing done - Compression didn't start.
echo   Errorlevel 255
goto errend

:No_ZIPDLL
echo - Nothing done - File ZIPDLL.DLL not found !
echo   Errorlevel 251
goto errend

:Wrong_ZIPDLL_version
echo - Nothing done - Wrong ZIPDLL.DLL version ! Ver. 1.54 needed ...
echo   Errorlevel 252
goto errend

:No_UNZDLL
echo - Nothing done - File UNZDLL.DLL not found !
echo   Errorlevel 253
goto errend

:Wrong_UNZDLL_version
echo - Nothing done - Wrong UNZDLL.DLL version ! Ver. 1.52 needed ...
echo   Errorlevel 254
goto errend


:User_abort
echo - User abort - Compression terminated by user
echo   Errorlevel 100
goto errend

:Error_during_test
echo - Error during test - See log for details
echo   Errorlevel 10
goto errend

:Error_during_compression
echo - Error during compression - See log for details
echo   Errorlevel 5
goto errend

:Cant_delete_existing_ZIP
echo - Can't delete existing ZIP - ZIP in use ?
echo   Errorlevel 4
goto errend

:Cant_backup_existing_ZIP
echo - Can't backup existing ZIP - No room on disk ?
echo   Errorlevel 3
goto errend

:Failed_when_openning_existing_ZIP
echo - Failed when openning existing ZIP - ZIP corrupted ?
echo   Errorlevel 2
goto errend

:No_files_to_compress
echo - No files to compress - Files to Include not specified or not found
echo   Errorlevel 2

:errend
: Give me some beeps ...
echo 

:kraj
pause >nul
